> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the latest crawl

> Returns the latest content crawl of the site and its state.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/content/crawls
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/content/crawls:
    get:
      tags:
        - Content analysis
      summary: Get the latest crawl
      description: Returns the latest content crawl of the site and its state.
      operationId: latest_crawl
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlRunEnvelope'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CrawlRunEnvelope:
      type: object
      properties:
        crawl:
          allOf:
            - $ref: '#/components/schemas/CrawlRunDTO'
          nullable: true
    CrawlRunDTO:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/JobStatus'
        trigger:
          $ref: '#/components/schemas/CrawlTrigger'
        max_pages:
          type: integer
        discovered:
          type: integer
        stored:
          type: integer
        unreachable:
          type: integer
        rate_limited:
          type: boolean
        failure_reason:
          type: string
        failure_code:
          oneOf:
            - $ref: '#/components/schemas/CrawlRunDTOFailureCodeEnum'
            - $ref: '#/components/schemas/BlankEnum'
        started_at:
          type: string
          format: date-time
          nullable: true
        finished_at:
          type: string
          format: date-time
          nullable: true
      required:
        - discovered
        - failure_code
        - failure_reason
        - finished_at
        - max_pages
        - rate_limited
        - started_at
        - status
        - stored
        - trigger
        - unreachable
        - uuid
    JobStatus:
      enum:
        - queued
        - running
        - succeeded
        - failed
      type: string
      description: |-
        * `queued` - queued
        * `running` - running
        * `succeeded` - succeeded
        * `failed` - failed
    CrawlTrigger:
      enum:
        - manual
        - site_created
        - scheduled
      type: string
      description: |-
        * `manual` - manual
        * `site_created` - site_created
        * `scheduled` - scheduled
    CrawlRunDTOFailureCodeEnum:
      enum:
        - abandoned
        - site_not_found
        - error
        - no_page
        - rate_limited
        - robots_unreachable
        - robots_disallowed
      type: string
      description: |-
        * `` - 
        * `abandoned` - abandoned
        * `site_not_found` - site_not_found
        * `error` - error
        * `no_page` - no_page
        * `rate_limited` - rate_limited
        * `robots_unreachable` - robots_unreachable
        * `robots_disallowed` - robots_disallowed
    BlankEnum:
      enum:
        - ''
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.